Bug 43894 - UI: macOS feature Menu Search not available in some localizations
Summary: UI: macOS feature Menu Search not available in some localizations
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 56378 (view as bug list)
Depends on:
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2011-12-16 10:02 UTC by Martin Steiger
Modified: 2021-08-11 03:58 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
German localization without menu search (52.45 KB, image/png)
2011-12-16 10:02 UTC, Martin Steiger
Details
English localization with menu search (47.72 KB, image/png)
2011-12-16 10:03 UTC, Martin Steiger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Steiger 2011-12-16 10:02:40 UTC
Created attachment 54507 [details]
German localization without menu search

Problem description: 

Menu search (Help / Search) is not available in the German localization of LibreOffice. See attached screenshots for a comparison between the English and German localizations.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.6 Safari/535.11
Comment 1 Martin Steiger 2011-12-16 10:03:57 UTC
Created attachment 54508 [details]
English localization with menu search
Comment 2 Rainer Bielefeld Retired 2011-12-17 01:00:09 UTC
I never saw that search pane. It's not mentioned in WIKIHELP

@Martin Steiger:
Please contribute more information concerning your help search function. May be it's an extension?
Comment 3 Martin Steiger 2011-12-17 09:36:42 UTC
Menu search is a default Mac OS X feature. The English localization of LibreOffice supports menu search as shown in my attached screenshot. The German localization does not, however, that is a common problem, NeoOffice had the same issue (but fixed it).
Comment 4 Rainer Bielefeld Retired 2011-12-17 10:33:15 UTC
@Thorsten:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 5 Martin Steiger 2011-12-18 10:55:44 UTC
[NSApplication setHelpMenu:(NSMenu *)helpMenu] might be the relevant selector:

http://developer.apple.com/library/mac/#documentation/Cocoa/Reference/ApplicationKit/Classes/NSApplication_Class/Reference/Reference.html

Since menu search is already available in some (at least in the English) localization of LibreOffice, there is probably not much of a change in the source code necessary.
Comment 6 Roman Eisele 2012-10-25 09:11:14 UTC
Added to our special Mac meta bug 42082.
Comment 7 Emir Sarı 2012-10-25 18:52:25 UTC
*** Bug 56378 has been marked as a duplicate of this bug. ***
Comment 8 Emir Sarı 2012-10-25 18:54:08 UTC
Does not work with Turkish localization either. 

OS X 10.7.5 LO 3.6.2.2.

Changed the bug title to represent a more general view.
Comment 9 Thorsten Behrens (allotropia) 2013-09-12 16:14:43 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 10 Emir Sarı 2013-12-06 12:23:54 UTC
@Nicholas,

If you have any free time, could you please take a look at this issue? This seems like a rather easy issue, considering that the functionality is already available in English localisations. 

Any help would be greatly appreciated.
Comment 11 QA Administrators 2015-04-19 03:23:06 UTC Comment hidden (obsolete)
Comment 12 nwin 2015-07-12 11:04:52 UTC
This issue persists. The menu search disappears after installing the German language pack.

OSX 10.10.3, LibreOffice 4.4
Comment 13 nwin 2015-12-21 16:37:02 UTC
Still persistent with LibreOffice 5 and OSX 10.11.
Comment 14 QA Administrators 2017-09-01 11:20:27 UTC Comment hidden (obsolete)
Comment 15 eisa01 2018-06-16 12:08:26 UTC
This is still present

Tested with Norwegian localization

Versjon 6.0.4.2
Bygg-ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU tråder2; OS:Mac OS X 10.12.6; Brukergrensesnitt gjengiver:Standard; 
språk: en-US (en_US.UTF-8); Calc: group
Comment 16 QA Administrators 2019-06-17 02:47:07 UTC Comment hidden (obsolete)
Comment 17 eisa01 2019-08-11 08:48:30 UTC
This is still present, tested with Norwegian

Versjon 6.3.0.4
Bygg-ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU tråder4; OS:Mac OS X 10.14.6; Brukergrensesnitt gjengiver:Standard; VCL: osx; 
språk: en-US (en_US.UTF-8); Språk for brukergrensesnitt: nb-NO
Calc: threaded
Comment 18 QA Administrators 2021-08-11 03:58:18 UTC
Dear Martin Steiger,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug